Change log for qtdeclarative-opensource-src package in Debian

175 of 160 results
Published in sid-release
qtdeclarative-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Fri, 13 Jan 2023 12:01:44 +0400
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - fix_flickable_wheel_velocity_calculation.patch
    - use_delay_properly_in_mousewheel.patch
  * Refresh debian/patches/fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump ABI version to qtdeclarative-abi-5-15-8.
  * Update debian/libqt5qml5.symbols for hurd-i386.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <email address hidden>  Fri, 06 Jan 2023 00:36:44 +0400
Superseded in sid-release
qtdeclarative-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Update symbols files for alpha.
  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Sat, 17 Dec 2022 18:20:11 +0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release (5.15.7).
  * Refresh all patches, dropping part of the GCC-11 patch that was merged
    upstream.
  * Bump ABI version to qtdeclarative-abi-5-15-7.
  * Bump Qt build dependencies to 5.15.7.
  * Update Lintian source-is-missing overrides to cover more test files.
  * Remove a batch file shipped in examples.

  [ Dmitry Shachnev ]
  * Set TZ=UTC for tests.
  * Update symbols files for riscv64.

 -- Simon Quigley <email address hidden>  Fri, 18 Nov 2022 18:13:13 -0600
Superseded in sid-release
qtdeclarative-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Thu, 29 Sep 2022 11:39:46 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.15.6.
  * Bump ABI version to 5-15-6.
  * Update debian/source/lintian-overrides for Lintian pointed hints.
  * Update debian/copyright.
  * Update debian/libqt5qml5.symbols from the current build logs.

 -- Dmitry Shachnev <email address hidden>  Sun, 11 Sep 2022 20:27:43 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Bump ABI version to 5-15-5.
  * Refresh patches for the new release.

 -- Dmitry Shachnev <email address hidden>  Sun, 03 Jul 2022 20:15:45 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.15.4+dfsg-4) unstable; urgency=medium

  [ Jonah Brüchert ]
  * Backport upstream patch to fix asynchronous loaders loading when inactive

 -- Dmitry Shachnev <email address hidden>  Fri, 01 Jul 2022 23:08:41 +0300

Available diffs

Superseded in sid-release
qtdeclarative-opensource-src (5.15.4+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Mon, 13 Jun 2022 21:36:23 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.15.4+dfsg-2) experimental; urgency=medium

  * Use symver directive to catch all private symbols at once.
  * Backport upstream patch to fix Flickable wheel velocity calculation
    (closes: #1011253, thanks Wolfgang Frisch).
  * Backport one more patch to make the tests pass.

 -- Dmitry Shachnev <email address hidden>  Mon, 23 May 2022 00:40:09 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump ABI version to qtdeclarative-abi-5-15-4.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Add two new symbols to debian/libqt5quick5.symbols.

 -- Dmitry Shachnev <email address hidden>  Fri, 13 May 2022 22:50:27 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for new file names.
  * Drop patches that are included in the new release:
    - qmltime-tool.patch
    - fix_qml_property_cache_leaks.patch
  * Refresh other patches.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump ABI version to qtdeclarative-abi-5-15-3.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <email address hidden>  Sat, 05 Mar 2022 19:32:15 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-10) unstable; urgency=medium

  * Backport upstream patch to fix sweep step for tainted QObject JavaScript
    wrappers.

 -- Dmitry Shachnev <email address hidden>  Sun, 13 Feb 2022 21:04:16 +0300

Available diffs

Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-9) unstable; urgency=medium

  * Remove unneeded libgl1-mesa-dri Build-Depends and Depends.
  * Update debian/source/lintian-overrides for Lintian 2.109.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <email address hidden>  Sat, 18 Dec 2021 15:47:05 +0300

Available diffs

Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-8) unstable; urgency=medium

  * Include <limits> in Yarr.h to fix FTBFS with GCC 11 on arm64 and i386.

 -- Dmitry Shachnev <email address hidden>  Wed, 18 Aug 2021 14:21:46 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-7) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix typos in previous changelog entry.

  [ Dmitry Shachnev ]
  * Amend gcc_11.patch with one more fix for GCC 11 (closes: #984313).

 -- Dmitry Shachnev <email address hidden>  Mon, 16 Aug 2021 12:02:36 +0300

Available diffs

Published in bullseye-release
Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-6) unstable; urgency=medium

  * Backport patch to support &appos in styled text, along with it's
    documentation.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Tue, 01 Jun 2021 18:37:21 -0300

Available diffs

Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-5) unstable; urgency=medium

  * Add a patch to make tst_qmldiskcache::regenerateAfterChange() pass on
    big endian systems.
  * Add missing dependencies to qtdeclarative5-dev (closes: #985500).

 -- Dmitry Shachnev <email address hidden>  Fri, 19 Mar 2021 20:46:16 +0300

Available diffs

Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-4) unstable; urgency=medium

  * Add Conflicts: against the -gles packages, to make that relation mutual.
    (Thanks to David Kalnischkies for the suggestion; see also #976389.)

 -- Dmitry Shachnev <email address hidden>  Thu, 04 Feb 2021 20:36:43 +0300

Available diffs

Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-3) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patch to build qmltime as a tool.

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix QML property cache leaks of delegate
    items.
  * Backport upstream patch to fix build with GCC 11.
  * Update debian/watch: use format 4, and track only 5.15.x releases.

 -- Dmitry Shachnev <email address hidden>  Thu, 28 Jan 2021 13:25:24 +0300

Available diffs

Superseded in sid-release
qtdeclarative-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Fri, 11 Dec 2020 11:31:45 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Refresh debian/patches/fix_test_remove_qlibraryinfo.patch.
  * Bump ABI version to qtdeclarative-abi-5-15-2.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <email address hidden>  Sat, 21 Nov 2020 16:46:44 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.15.1+dfsg-3) unstable; urgency=medium

  * Fix full (indep+arch) builds by deleting all Makefiles before building
    the arch-dependent packages. Makefiles generated during indep build are
    broken because they are generated before qmltypes.prf becomes available.
  * Add alternative -gles dependencies to qtdeclarative5-dev package.
  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Wed, 28 Oct 2020 21:53:18 +0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.15.1+dfsg-2) experimental; urgency=medium

  * Fix duplicate entries for some files in debian/copyright.
  * Override Lintian warnings about this-value-valid-date-min.js, "min" in
    its name is not for "minified".
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <email address hidden>  Fri, 09 Oct 2020 20:46:06 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches for the new release.
  * Pass QMAKE_PYTHON=python3 to qmake.
  * Bump Qt build-dependencies to 5.15.1.
  * Update symbols files from buildds’ logs.
  * Bump ABI version to qtdeclarative-abi-5-15-1.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Stop exporting $HOME and $XDG_RUNTIME_DIR for tests, debhelper now
      does that itself.
    - Use ${DEB_HOST_MULTIARCH} substitution.
  * Run install in all directories when installing files to test_root,
    this is now needed to get plugins.qmltypes files installed.
  * Update install files for the new release.
  * Update symbols files from the current build log.
  * Add Build-Depends-Package(s) fields to the symbols files.
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <email address hidden>  Thu, 10 Sep 2020 21:28:43 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.14.2+dfsg-3) unstable; urgency=medium

  * Update symbols files for GCC 10 (closes: #957729).

 -- Dmitry Shachnev <email address hidden>  Thu, 23 Jul 2020 12:14:35 +0300

Available diffs

Superseded in sid-release
qtdeclarative-opensource-src (5.14.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Wed, 24 Jun 2020 11:23:21 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Drop debian/patches/escape_url_regex.patch, applied upstream.
  * Refresh debian/patches/fix_test_remove_qlibraryinfo.patch.
  * Bump ABI version to qtdeclarative-abi-5-14-2.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <email address hidden>  Mon, 27 Apr 2020 13:33:59 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.14.1+dfsg-3) experimental; urgency=medium

  * Install documentation for the new modules.
  * Update symbols files from buildds’ powerpc log.

 -- Dmitry Shachnev <email address hidden>  Sun, 01 Mar 2020 22:20:48 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.14.1+dfsg-2) experimental; urgency=medium

  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <email address hidden>  Wed, 26 Feb 2020 22:53:19 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Bump Qt build-dependencies to 5.14.1.
  * Bump ABI version to qtdeclarative-abi-5-14-1.
  * Fix qmllint test by using import path from environment variable.
  * Update .install files for existing packages.
  * Add five new binary packages:
    - libqt5qmlmodels5: QML Models support library.
    - libqt5qmlworkerscript5: QML Worker Script support library.
    - qml-module-qt-labs-animation: experimental QML types for animation.
    - qml-module-qtqml: basic QML types.
    - qml-module-qtqml-workerscript2: QML types for worker scripts.
  * Update symbols files from the current build log.
  * Update debian/copyright.
  * Exclude minified jQuery without source from the tarball.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <email address hidden>  Wed, 19 Feb 2020 18:15:30 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.12.5-5) unstable; urgency=medium

  * Link with -latomic on riscv64, based on a patch by Aurelien Jarno.
  * Add a patch from OpenSUSE to build with Python 3 (closes: #938319).
  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Thu, 02 Jan 2020 14:25:07 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.12.5-4) experimental; urgency=medium

  * Update debian/libqt5qml5.symbols from buildds’ logs.
  * Update symbols files of libqt5quick5 and libqt5quickparticles5
    packages to add an alternative dependency on their -gles variants
    that will provide the same ABI.
  * Remove build paths from .prl files for reproducibility.
  * Split the doxygen .tags files into a new qtdeclarative5-doc-dev
    package (see #922707).
  * Bump debhelper compat level to 12, use the new syntax.
    - Drop dh_makeshlibs override, -V is now the default.
  * Fix a typo in debian/qtdeclarative5-doc-html.doc-base.qtqml.
  * Replace YouTube iframe with YouTube link in the documentation.

 -- Dmitry Shachnev <email address hidden>  Thu, 19 Dec 2019 12:06:23 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.12.5-3) unstable; urgency=medium

  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <email address hidden>  Mon, 21 Oct 2019 20:12:14 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.12.5-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Sun, 20 Oct 2019 22:44:39 +0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.12.5-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Make tests fatal on architectures where they are currently passing.
  * Add comments explaining the issues on other architectures.
  * New upstream release.
  * Drop ia64.patch, applied in the new release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.12.5.
  * Update symbols files from the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-5.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Sat, 14 Sep 2019 11:27:49 -0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop unused build-dependency on libqt5opengl5-dev.
  * Add support for nocheck build profile.
  * Bump qtbase build-dependencies to 5.12.4.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Backport upstream patch with a workaround for ia64 (closes: #929682).
  * Build-Depend-Indep on individual qdoc-qt5, qhelpgenerator-qt5 and
    qtattributionsscanner-qt5 packages, instead of qttools5-doc-tools.
  * Update symbols files from buildds’ and the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-4.

 -- Dmitry Shachnev <email address hidden>  Wed, 19 Jun 2019 14:54:49 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.12.3.
  * Update Homepage URL.
  * Make qtdeclarative5-dev depend on libqt5quickshapes5 (closes: #927447).
  * Update symbols files from buillds’ and the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-3.
  * Add a patch to make SignalSpy test use qWaitForWindowExposed() function
    instead of qWaitForWindowActive(), which does not work without a WM.

 -- Dmitry Shachnev <email address hidden>  Sun, 21 Apr 2019 22:23:03 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.12.2-2) experimental; urgency=medium

  * Override symbols-declares-dependency-on-other-package Lintian warning
    for the libqt5quickshapes5 package.
  * Update symbols files from buildds’ logs.
  * Drop testcase_array_iteration.patch. The iterating code was changed
    upstream, and qtmultimedia tests no longer fail on Ubuntu arm64 without
    this patch.
  * Set QT_PLUGIN_PATH when running tests, to fix some debugger tests.
  * Do not set QT_LOGGING_RULES, not needed with qtbase ≥ 5.9.2+dfsg-7.

 -- Dmitry Shachnev <email address hidden>  Sun, 24 Mar 2019 19:30:55 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Drop x32_no_jit.patch, applied upstream.
  * Drop fix_crash_on_big_endian.patch, no longer needed.
  * Refresh and rebase other patches.
  * Stop building qml-module-qtquick-xmllistmodel package, it will be moved
    to qtxmlpatterns source.
  * Also drop libqt5xmlpatterns5-dev build-dependency, no longer needed.
  * Bump Qt build-dependencies to 5.12.2.
  * Update Lintian source-is-missing overrides to cover more test files.
  * Update debian/copyright.
  * Remove qml-module-qt-labs-handlers package. Its code was merged into
    the main Qt Quick module.
  * Add three new binary packages:
    - libqt5quickshapes5: Qt Quick Shapes support library.
    - qml-module-qt-labs-qmlmodels: experimental data models QML types.
    - qml-module-qt-labs-wavefrontmesh: mesh based on Wavefront .obj files.
  * Install the new qmlpreview tool in qtdeclarative5-dev-tools.
  * Update symbols files from the current build log.
  * Bump ABI version to qtdeclarative-abi-5-12-2.
  * Update dependencies of qtdeclarative5-examples package.

 -- Dmitry Shachnev <email address hidden>  Sat, 16 Mar 2019 11:17:38 +0300
Published in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.11.3-4) unstable; urgency=medium

  * Add fix_crash_on_big_endian.patch to fix crash when loading AOT caches
    on big endian platforms. Thanks Alexander Volkov!
  * Update debian/libqt5qml5.symbols from x32 build log.

 -- Dmitry Shachnev <email address hidden>  Fri, 01 Mar 2019 21:03:33 +0300
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.11.3-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Fix build failure on x32 by disabling JIT there (closes: #918545).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * libqt5qml5: libgl1-mesa-glx became a dummy transitional package, replace
    it by the packages it depends upon, namely libgl1 and libglx-mesa0
    (Closes: #921472). Thanks Gabriele Stilli for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Thu, 07 Feb 2019 23:21:22 -0300
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to <email address hidden> now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Wed, 26 Dec 2018 16:16:50 -0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Fri, 07 Dec 2018 09:46:37 -0300
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.11.2-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files from mips64r6el build log (closes: #911601).

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate Build-Depends: python with :any. (Closes: #913243)

 -- Dmitry Shachnev <email address hidden>  Thu, 15 Nov 2018 12:53:51 +0300

Available diffs

Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Mon, 15 Oct 2018 21:16:04 +0300
Superseded in sid-release
qtdeclarative-opensource-src (5.11.1-6) unstable; urgency=medium

  * Backport upstream patch to fix unaligned memory access on ARM.

 -- Dmitry Shachnev <email address hidden>  Tue, 02 Oct 2018 19:12:20 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Update debian/libqt5qml5.symbols from the current build log.
  * Bump ABI version to qtdeclarative-abi-5-11-2.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <email address hidden>  Sun, 23 Sep 2018 11:26:37 +0300
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.11.1-5) unstable; urgency=medium

  * Update symbols files from buildds’ logs (closes: #906531, #907153).
  * Remove unneeded command from debian/rules.
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Dmitry Shachnev <email address hidden>  Sat, 25 Aug 2018 15:08:52 +0300
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.11.1-4) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Thu, 26 Jul 2018 22:09:16 -0300
Superseded in sid-release
qtdeclarative-opensource-src (5.11.1-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <email address hidden>  Wed, 25 Jul 2018 04:49:31 -0500

Available diffs

Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.11.1-2) experimental; urgency=medium

  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Bump the virtual ABI package to qtdeclarative-abi-5-11-0 because of
    MISSING symbols.
  * Update symbols from buildd logs.

 -- Simon Quigley <email address hidden>  Fri, 22 Jun 2018 14:06:24 -0500

Available diffs

Superseded in experimental-release
qtdeclarative-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.11.1.
  * Upstream testcase_array_iteration.patch from Ubuntu.
  * Remove Do-not-make-lack-of-SSE2-support-on-x86-32-fatal.patch due to
    it not being fixed in time.
  * Refresh quilt patches.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <email address hidden>  Tue, 19 Jun 2018 16:26:32 -0500
Superseded in experimental-release
qtdeclarative-opensource-src (5.11.0-2) experimental; urgency=medium

  [ Simon Quigley ]
  * Update symbols from buildds' logs.

  [ Dmitry Shachnev ]
  * Restore fix_test_remove_qlibraryinfo.patch, it is still needed.

 -- Simon Quigley <email address hidden>  Tue, 19 Jun 2018 01:02:40 -0400
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.11.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files from buildds’ logs.
  * Mark some symbols as optional to fix FTBFS with GCC 8 (closes: #897842).

  [ Simon Quigley ]
  * New upstream release.
  * Bump build dependencies to 5.11.0.
  * Add my name to the copyright for the packaging.
  * Refresh patches for the new release:
    - Remove reverse-applicable patches (or patches otherwise unneeded anymore):
      + avoid-marking-hidden-windows-updatePending.patch
      + disable_jit_on_mips.patch
      + fix_test_remove_qlibraryinfo.patch
    - Refresh all other patches.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <email address hidden>  Wed, 13 Jun 2018 02:03:31 -0500
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.10.1-4) unstable; urgency=high

  * Avoid marking hidden windows as updatePending in Gui render loop
    (LP: #1761016).
    - avoid-marking-hidden-windows-updatePending.patch
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Add hardening rules in debian/rules.

 -- Simon Quigley <email address hidden>  Mon, 09 Apr 2018 18:44:03 -0500
Superseded in sid-release
qtdeclarative-opensource-src (5.10.1-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Sat, 07 Apr 2018 17:05:42 -0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.10.1-2) experimental; urgency=medium

  * Make qml-module-qttest depend on qml-module-qtquick-window2,
    following upstream changes in Qt 5.10.0.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <email address hidden>  Tue, 20 Feb 2018 17:37:32 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Bump Qt build-dependencies to 5.10.1.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update symbols files with 5.10.0 and current build logs.
  * Install plugins.qmltypes in qml-module-qt-labs-handlers.install.
  * Update debian/copyright.
  * Bump qtdeclarative-abi version to 5-10-1.

 -- Dmitry Shachnev <email address hidden>  Tue, 20 Feb 2018 01:10:02 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new tarball names.
  * Drop revert_singletons_change.diff, QTBUG-64017 was fixed upstream.
  * Bump Qt build-dependencies to 5.10.0.
  * Use dh_auto_configure provided by debhelper.
  * Refresh patches for the new release.
  * Update debian/copyright.
  * New packages: qml-module-qtquick-shapes, qml-module-qt-labs-handlers.
  * Update symbols files from the current build logs.
  * Bump qtdeclarative-abi version to 5-10-0.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <email address hidden>  Tue, 16 Jan 2018 18:46:39 +0300
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.9.2-3) unstable; urgency=medium

  * Bump qtdeclarative-abi version to 5-9-2.
  * Update debian/libqt5qml5.symbols from buildds’ logs.
  * Temporarily revert upstream commit that caused issues in some KDE apps.
  * Upload to unstable.

 -- Dmitry Shachnev <email address hidden>  Thu, 26 Oct 2017 16:27:02 +0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.9.2-2) experimental; urgency=medium

  * Update for Qt binaries location change in qtbase 5.9.2+dfsg-3.
    - Update .install files for qtdeclarative5-dev-tools, qmlscene and qml.
    - Provide compatibility symlinks for the old location.
    - Bump qtbase5-private-dev and qttools5-dev-tools build-dependencies.
  * Bump Standards-Version to 4.1.1, stop using deprecated Priority: extra.

 -- Dmitry Shachnev <email address hidden>  Fri, 20 Oct 2017 15:14:10 +0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream:
    - fix_image_source_memory_leak.patch
    - rebuild-QmlDatapropertyCache-if-deleted.patch
  * Refresh and rebase other patches.
  * Update symbols files from the current build log.
  * Bump Qt build-dependencies to 5.9.2.
  * Use dh_missing instead of deprecated dh_install --fail-missing.

 -- Dmitry Shachnev <email address hidden>  Sun, 15 Oct 2017 00:17:05 +0300
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.9.1-6) unstable; urgency=medium

  * Add fix_image_source_memory_leak.patch to fix QTBUG-61754 (Closes: #874581).
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Thu, 07 Sep 2017 14:01:39 -0300
Superseded in buster-release
Superseded in sid-release
qtdeclarative-opensource-src (5.9.1-5) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump qtdeclarative-abi to 5-9-1 so it matches' qtbase's versioning. Plus
    it's the version we are pushing to unstable.

  [ Dmitry Shachnev ]
  * Update symbols files for GCC 7 symbols changes.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Tue, 15 Aug 2017 22:09:04 -0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.9.1-4) experimental; urgency=medium

  * Fix QTBUG-61681 (Rebuild QQmlData::propertyCache if deleted by another
    engine) by including rebuild-QmlDatapropertyCache-if-deleted.patch.
  * Add my name to Uploaders.
  * Bump debhelper compat to 10.

 -- Simon Quigley <email address hidden>  Wed, 02 Aug 2017 04:35:07 -0500
Superseded in experimental-release
qtdeclarative-opensource-src (5.9.1-3) experimental; urgency=medium

  * Due to QTBUG-58567 we are forced to turn off JIT on mips* until
    upstream solves this issue.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Mon, 31 Jul 2017 17:46:40 -0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.9.1-2) experimental; urgency=medium

  * Add a patch to enable JIT only on mipsel, not on mips and mips64el.
  * Update symbols files from buildds’ logs.
  * Bump qtxmlpatterns and qttools build-dependencies to 5.9.1.

 -- Dmitry Shachnev <email address hidden>  Wed, 05 Jul 2017 18:39:37 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop big_endian.patch, applied upstream.
  * Refresh other patches.
  * Bump qtbase build-dependencies to 5.9.1.
  * Update symbols files from buildds’ logs and the current build log.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <email address hidden>  Sat, 01 Jul 2017 18:57:08 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.9.0-2) experimental; urgency=medium

  * Add a patch that should fix crashes on big endian systems.
  * Add some new locations to fix_test_remove_qlibraryinfo.patch.
  * Export QT_LOGGING_RULES when running tests, to override settings from
    our new qtlogging.ini file.
  * Fix a minor copyright issue, thanks to Scott Kitterman.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <email address hidden>  Tue, 20 Jun 2017 13:43:53 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.9.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Remove qv4isel_always_export.patch as it's reverse-applicable.
  * Some files were moved around and/or deleted; update the install files to
    reflect that.
  * Set XDG_RUNTIME_DIR in debian/rules to fix a lot of test failures.

  [ Dmitry Shachnev ]
  * Rename qml-module-qtquick-sharedimage to qml-module-qt-labs-sharedimage,
    following upstream (see commit 4a4a8e911cfafcff).
  * Update debian/copyright.
  * Mark two symbols as optional to fix build with GCC 7 (closes: #853631).
  * Drop the code to symlink private QmlDevTools headers, no longer needed.

 -- Simon Quigley <email address hidden>  Wed, 07 Jun 2017 23:31:12 +0300
Deleted in experimental-release (Reason: None provided.)
qtdeclarative-opensource-src (5.9.0~beta3-2) experimental; urgency=medium

  * Update symbols files from buildds’ logs.
  * Update qv4isel_always_export.patch to the proposed patch set 2.

 -- Dmitry Shachnev <email address hidden>  Sat, 06 May 2017 15:18:33 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.9.0~beta3-1) experimental; urgency=medium

  * New upstream release.
  * Backport proposed upstream fix for build failure on non-JIT archs
    (qv4isel_always_export.patch).

 -- Dmitry Shachnev <email address hidden>  Sat, 06 May 2017 09:52:34 +0300
Superseded in experimental-release
qtdeclarative-opensource-src (5.9.0~beta2-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Bump dpkg-dev build-dependency to 1.17.14, for build profiles.
  * Do not build the documentation packages when the nodoc profile is enabled.
  * Drop fix_tst_qqmlapplicationengine.diff as it's reverse-applicable.
  * Refresh patches:
   - disableopengltests.patch
   - fix_test_remove_qlibraryinfo.patch
   - Do-not-make-lack-of-SSE2-support-on-x86-32-fatal.patch
  * Add new binary package qml-module-qtquick-sharedimage.
  * Update symbols from build logs.

  [ Dmitry Shachnev ]
  * Add Lintian overrides for new test JS files with long lines.
  * Update debian/copyright.

 -- Dmitry Shachnev <email address hidden>  Thu, 27 Apr 2017 22:00:12 +0300
Superseded in buster-release
Published in stretch-release
Superseded in sid-release
qtdeclarative-opensource-src (5.7.1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop obsolete Breaks/Replaces. Qt versions before 5.3.2 were never part
    of a stable release (Jessie and Wheezy-backports have 5.3.2).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Do not make lack of SSE2 support on x86-32 fatal by using Guillem Jover's
    patch (Closes: #792594). Thanks Guillem!

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Mon, 02 Jan 2017 12:15:42 -0300
175 of 160 results